#include <iostream>
#include <vector>
#include <algorithm>

bool canFormCube(const std::vector<int> faces) {
  std::vector<int> indices = {0, 1, 2, 3, 4, 5};
  do {
    int sum1 = faces[indices[0]] + faces[indices[5]];
    int sum2 = faces[indices[1]] + faces[indices[3]];
    int sum3 = faces[indices[2]] + faces[indices[4]];
    if (sum1 == sum2 && sum2 == sum3) {
      return true;
    }
  } while(next_permutation(indices.begin(), indices.end()));
  return false;
}
int main(){
  int n;
  std::cin >> n;
  for (int i = 0; i < n; ++i) {
    std::vector<int> faces(6);
    for (int j = 0; j < 6; ++j){
      std::cin >> faces[j];
    }
    if (canFormCube(faces)){
      std::cout << "yes" << std::endl;
    } else{
      std::cout << "no" << std::endl;
    }
  }
  return 0;
}